Eclipse Draw2d 3.2

## org.eclipse.draw2d.geometry
Class Transform

    java.lang.Object
      org.eclipse.draw2d.geometry.Transform

public class Transform
extends Object

Provides support for transformations of scaling, translation and rotation.

Constructor Summary
`Transform()`

Method Summary
`Point` `getTransformed(Point p)` Returns a new transformed Point of the input Point based on the transformation values set.
`void` `setRotation(double angle)` Sets the rotation angle.
`void` `setScale(double scale)` Sets the value for the amount of scaling to be done along both axes.
`void` `setScale(double x, double y)` Sets the value for the amount of scaling to be done along X and Y axes individually.
`void` `setTranslation(double x, double y)` Sets the translation amounts for both axes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transform

    public Transform()

Method Detail

### setScale

    public void setScale(double scale)

  Sets the value for the amount of scaling to be done along both axes.

  Parameters:
    `scale` - Scale factor
  Since:
    2.0

### setScale

    public void setScale(double x,
                         double y)

  Sets the value for the amount of scaling to be done along X and Y axes individually.

  Parameters:
    `x` - Amount of scaling on X axis
    `y` - Amount of scaling on Y axis
  Since:
    2.0

### setRotation

    public void setRotation(double angle)

  Sets the rotation angle.

  Parameters:
    `angle` - Angle of rotation
  Since:
    2.0

### setTranslation

    public void setTranslation(double x,
                               double y)

  Sets the translation amounts for both axes.

  Parameters:
    `x` - Amount of shift on X axis
    `y` - Amount of shift on Y axis
  Since:
    2.0

### getTransformed

    public Point getTransformed(Point p)

  Returns a new transformed Point of the input Point based on the transformation values set.

  Parameters:
    `p` - Point being transformed
  Returns:
    The transformed Point
  Since:
    2.0

Eclipse Draw2d 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.